Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.solver.event
Interface SolverLifecycleListener

All Superinterfaces:
  EventListener

All Known Subinterfaces:
  Acceptor, BruteForceSolverPhase, ConstructionHeuristicSolverPhase, CustomSolverPhase, Decider, DeciderScoreComparatorFactory, EntityIndependentValueSelector, EntityPlacer, EntitySelector, Forager, GreedyFitSolverPhase, IterableSelector<T>, ListIterableSelector<T>, LocalSearchSolverPhase, LocalSearchSolverPhaseLifecycleListener, MoveSelector, PillarSelector, Placer, Selector, SolverPhase, SolverPhaseLifecycleListener, SubChainSelector, Termination, ValueSelector

All Known Implementing Classes:
  AbstractAcceptor, AbstractCachingEntitySelector, AbstractCachingMoveSelector, AbstractCachingValueSelector, AbstractCompositeTermination, AbstractDeciderScoreComparatorFactory, AbstractEntitySelector, AbstractForager, AbstractMoveSelector, AbstractPlacer, AbstractSelector, AbstractSolverPhase, AbstractTabuAcceptor, AbstractTermination, AbstractValueSelector, AcceptedForager, AndCompositeTermination, BasicPlumbingTermination, BestSolutionRecaller, CachingEntitySelector, CachingMoveSelector, CachingValueSelector, CartesianProductMoveSelector, ChangeMoveSelector, CompositeAcceptor, CompositeMoveSelector, DefaultBruteForceSolverPhase, DefaultConstructionHeuristicSolverPhase, DefaultCustomSolverPhase, DefaultDecider, DefaultGreedyFitSolverPhase, DefaultLocalSearchSolverPhase, DefaultSubChainSelector, FilteringEntitySelector, FilteringMoveSelector, FromEntityPropertyValueSelector, FromSolutionEntitySelector, FromSolutionPropertyValueSelector, GenericMoveSelector, GreatDelugeAcceptor, LateAcceptanceAcceptor, LegacySimulatedAnnealingAcceptor, LocalSearchSolverPhaseLifecycleListenerAdapter, MoveIteratorFactoryToMoveSelectorBridge, MoveListFactoryToMoveSelectorBridge, MoveTabuAcceptor, NaturalDeciderScoreComparatorFactory, OrCompositeTermination, PhaseToSolverTerminationBridge, PillarSwapMoveSelector, PlacerForager, PlanningEntitySelector, PlanningEntityTabuAcceptor, PlanningValueSelector, PlanningValueTabuAcceptor, PlanningValueWalker, PlanningVariableWalker, ProbabilityEntitySelector, ProbabilityMoveSelector, ProbabilityValueSelector, QueuedEntityPlacer, SameValuePillarSelector, ScoreAttainedTermination, SelectionCacheLifecycleBridge, ShiftingHardPenaltyDeciderScoreComparatorFactory, ShufflingEntitySelector, ShufflingMoveSelector, ShufflingValueSelector, SimulatedAnnealingAcceptor, SolutionTabuAcceptor, SolverLifecycleListenerAdapter, SolverPhaseLifecycleListenerAdapter, SortingEntitySelector, SortingMoveSelector, StepCountTermination, SubChainChangeMoveSelector, SubChainSwapMoveSelector, SwapMoveSelector, TimeMillisSpendTermination, UnimprovedStepCountTermination, UnionMoveSelector, ValuePlacer

    public interface SolverLifecycleListener

extends EventListener

Method Summary
`void` | `solvingEnded(DefaultSolverScope solverScope)`
`void` | `solvingStarted(DefaultSolverScope solverScope)`

Method Detail

### solvingStarted

    void solvingStarted(DefaultSolverScope solverScope)

### solvingEnded

    void solvingEnded(DefaultSolverScope solverScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.